#include "..\..\source\fun3d\ScriptUtils.h"

#include <crtdbg.h>
#include <stdlib.h>
#include <memory.h>

class SPMission {
public:
	adg1Mission(void);

	virtual void Setup(void) = 0;
	virtual void Execute(void) = 0;
	virtual void AddObject(Handle h)
	{
	}

	bool Save(void);
	bool Load(void);
	bool PostLoad(void);

	bool *b_array;
	int b_count;

	float *f_array;
	int f_count;

	int *h_array;
	int h_count;

	int *i_array;
	int i_count;
};

SPMission *BuildMission(void);
